Package io.dapr.v1

# Interface DaprProtos.GetStateRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.GetStateRequest`, `DaprProtos.GetStateRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.GetStateRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `CommonProtos.StateOptions.StateConsistency` | `getConsistency()` | The read consistency of the state store.
  `int` | `getConsistencyValue()` | The read consistency of the state store.
  `java.lang.String` | `getKey()` | The key of the desired state
  `com.google.protobuf.ByteString` | `getKeyBytes()` | The key of the desired state
  `java.lang.String` | `getStoreName()` | The name of state store.
  `com.google.protobuf.ByteString` | `getStoreNameBytes()` | The name of state store.

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getStoreName

    java.lang.String getStoreName()

         The name of state store.

    `string store_name = 1;`
    Returns:
      The storeName.

  - ### getStoreNameBytes

    com.google.protobuf.ByteString getStoreNameBytes()

         The name of state store.

    `string store_name = 1;`
    Returns:
      The bytes for storeName.

  - ### getKey

    java.lang.String getKey()

         The key of the desired state

    `string key = 2;`
    Returns:
      The key.

  - ### getKeyBytes

    com.google.protobuf.ByteString getKeyBytes()

         The key of the desired state

    `string key = 2;`
    Returns:
      The bytes for key.

  - ### getConsistencyValue

    int getConsistencyValue()

         The read consistency of the state store.

    `.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 3;`
    Returns:
      The enum numeric value on the wire for consistency.

  - ### getConsistency

    CommonProtos.StateOptions.StateConsistency getConsistency()

         The read consistency of the state store.

    `.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 3;`
    Returns:
      The consistency.